scala.tools.nsc.transform.SpecializeTypes

# TypeEnv

#### object TypeEnv

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TypeEnv
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def fromSpecialization(sym: Global.Symbol, args: List[Global.Type]): TypeEnv

    Return a new type environment binding specialized type parameters of sym to the given args.

    Return a new type environment binding specialized type parameters of sym to the given args. Expects the lists to have the same length.

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### def includes(t1: TypeEnv, t2: TypeEnv): Boolean

    Does typeenv `t1` include `t2`? All type variables in `t1` are defined in `t2` and:

    Does typeenv `t1` include `t2`? All type variables in `t1` are defined in `t2` and:

    - are bound to the same type, or
    - are an AnyRef specialization and `t2` is bound to a subtype of AnyRef

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isValid(env: TypeEnv, sym: Global.Symbol): Boolean

    Is the given environment a valid specialization for sym? It is valid if each binding is from a @specialized type parameter in sym (or its owner) to a type for which `sym` is specialized.

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def restrict(env: TypeEnv, tps: Set[Global.Symbol]): TypeEnv

    Reduce the given environment to contain mappings only for type variables in tps.

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped